/*
 * Created on 2004-11-19
 *
 */
package edu.umk.mat.merdacz.JGServer.config;

/** 
 * Part of bigger structure, which is our server configuration
 * object. Used for storing SSL server keys.
 * 
 * @author Marcin Daczkowski
 * @see ServerCfg
 *
 */
public class KeyCfg {

    private String keyFile;
	private String keyPassword;

    /**
     * TODO shouldn't we keep <b>content</b> of the file here?
     * 
     * @return the name of file where the key is stored
     */
    public String getKeyFile() {
        return keyFile;
    }
    /**
     * @param key the filename where the key is stored
     */
    public void setKeyFile(String key) {
        this.keyFile = key;
    }
    /**
     * @return the password used to encrypt the key
     */
    public String getKeyPassword() {
        return keyPassword;
    }
    /**
     * @param keyPassword the password used to encrypt the key
     */
    public void setKeyPassword(String keyPassword) {
        this.keyPassword = keyPassword;
    }
       
    
	public KeyCfg() {
	    keyFile = new String();
	    keyPassword = new String();
	}

}
