/*
 * Created on 2004-12-01
 *
 */
package edu.umk.mat.merdacz.JGFramework;

import edu.umk.mat.merdacz.JGServer.Player;

/**
 * Wrappes player with some info needed by plugins, and hide
 * all data they doesn't need.
 * 
 * @author Marcin Daczkowski
 *
 */
public class GamePlayer {
    private Player p;
    private boolean pause;
    private boolean ready;
    private boolean defeat;
    
    public GamePlayer(Player p) {
        this.p = p;
        pause = false;
        ready = false;
        defeat = false;
        
    }
    
    
    public boolean isPause() {
        return pause;
    }
    
    public void setPause(boolean pause) {
        this.pause = pause;
    }
    
    public boolean isReady() {
        return ready;
    }
    
    public void setReady(boolean ready) {
        this.ready = ready;
    }
    
    public boolean isLost() {
        return defeat;
    }
    
    public void setLost(boolean lost) {
        this.defeat = lost;
    }
    
    public String getLoginName() {
        return p.getLoginName();
    }
    
    // need this only for winner getting -> change it!
    public Player getPlayer() {
        return p;
    }
    
    public String toXml() {
        return p.toXml();
    }
    
}
