/*
 * Created on 2004-11-19
 *
 */
package edu.umk.mat.merdacz.JGServer.config;

/**
 * Part of bigger structure, which is our server configuration
 * object. Used for storing and accessing informations about
 * plugins.
 * <p>
 * We use HashMap with plugins names as keys. 
 * Wouldn't that be better to use plugins file names?
 * 
 * @author Marcin Daczkowski
 *
 */
public class PluginCfg {

    private String name;
    private String version;
    private String clazz;
    
	public PluginCfg() {
	    name = new String();
	    version = new String();
	    clazz = new String();
	}

    /**
     * @return class name for plugin
     */
    public String getClazz() {               
        return clazz;
    }
    /**
     * @param clazz name for plugins
     */
    public void setClazz(String clazz) {
        this.clazz = clazz;
    }
    /**
     * @return Name of plugin
     */
    public String getName() {
        return name;
    }
    /**
     * @param name Name of plugin
     */
    public void setName(String name) {
        this.name = name;
    }
    /**
     * @return Version of plugin
     */
    public String getVersion() {
        return version;
    }
    /**
     * @param version Version of plugin
     */
    public void setVersion(String version) {
        this.version = version;
    }
}
